%if 0%{?rhel} >= 6
    %global __python2       %{__python}
    %global python2_sitelib %{python_sitelib}
%endif

%global shortname wikitools
Summary: Python package for interacting with a MediaWiki wiki
Name: python-%{shortname}
Version: 1.3
Release: 7%{?dist}
Url: https://github.com/alexz-enwp/%{shortname}
Source0: https://github.com/alexz-enwp/%{shortname}/archive/%{version}/%{shortname}-%{version}.tar.gz
Patch0: %{name}-oldversion.patch
License: GPLv3+
Group: Development/Libraries
BuildArch: noarch
BuildRequires: python2-devel

%global _description\
A Python package for interacting with a MediaWiki wiki using the MediaWiki API.\
Designed for MediaWiki version 1.16 and higher, should work on 1.13, older\
versions may have bugs.\
The edit-API must be enabled on the site to use editing features.

%description %_description

%package -n python2-%{shortname}
Summary: %summary
Requires: python
%{?python_provide:%python_provide python2-%{shortname}}

%description -n python2-%{shortname} %_description

%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p1 -b .oldversion

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT

%files -n python2-%{shortname}
%doc %{shortname}/COPYING README.md CHANGELOG
%{python2_sitelib}/%{shortname}
%{python2_sitelib}/%{shortname}-%{version}-py2.*.egg-info

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-6
- Python 2 binary package renamed to python2-wikitools
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 10 2015 Viktor Jancik <vjancik@redhat.com> - 1.3-1
- Update to new upstream version 1.3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 17 2015 Honza Horak <hhorak@redhat.com> - 1.2-4
- Removing bug report URL from description, correct one is in Url tag.
  Resolves: #1177886

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 12 2014 Honza Horak <hhorak@redhat.com> - 1.2-2
- Add macros for el6

* Wed Apr 30 2014 Honza Horak <hhorak@redhat.com> - 1.2-1
- Update to new upstream version 1.2

* Tue Apr 29 2014 Honza Horak <hhorak@redhat.com> - 1.1.1-4
- Own wikitools directory as well

* Mon Apr 14 2014 Honza Horak <hhorak@redhat.com> - 1.1.1-3
- Spec file changes based on the review

* Sat Mar 01 2014 Honza Horak <hhorak@redhat.com> - 1.1.1-2
- Re-packing upstream spec for Fedora


